# disable web view under PowerPC and s390x (Qt WebEngine not available)
%ifnarch ppc ppc64 ppc64le s390x
%define webview_provider webengine
%else
%define webview_provider none
%endif

Name:           tageditor
Version:        3.9.3
Release:        1%{?dist}
Summary:        A tag editor with Qt GUI and command-line interface
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{name}
Source:         https://github.com/Martchus/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  pkgconfig
BuildRequires:  qtutilities-devel
BuildRequires:  tagparser-devel

%description
A tag editor with Qt GUI and command-line interface.
Supports MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake \
  -DQUICK_GUI:BOOL=NO \
  -DBUILTIN_TRANSLATIONS:BOOL=ON \
  -DBUILD_SHARED_LIBS:BOOL=ON \
  -DWEBVIEW_PROVIDER:STRING=%{webview_provider} \
  -DJS_PROVIDER:STRING=qml
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_bindir}/%{name}
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-renamingutility.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/bash-completion

%changelog
* Wed Oct 16 2024 Marius Kittler <marius.kittler@suse.com>
- Update to 3.9.3

* Wed Feb 16 2022 Marius Kittler <marius.kittler@suse.com>
- Update to 3.6.1
